githubEdit

PreviewMint

get

Simulates the amount of assets needed for minting a specific amount of shares.

Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
  • The account making the request
Query parameters
chainIdstringRequired
  • The blockchain network ID
addressstringRequired
  • The ERC4626 vault contract address
sharesstringRequired
  • The amount of shares to mint
Header parameters
AuthorizationstringRequired
  • The authorization token
Responses
chevron-right
200

The API response

application/json

Interface representing the structure of the API response for ERC4626.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

Provides a message related to the API response.

dataanyOptional

Optional data returned by the API.

get
/erc4626/{account}/previewMint
200

The API response